# $Revision: 1.13 $, $Date: 2012/01/15 22:56:54 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" (uses serial port)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Device
%define		pnam	Modem
Summary:	Device::Modem - a Perl class to interface generic modems (AT-compliant)
Summary(pl.UTF-8):	Device::Modem - perlowy interfejs do obsługi modemów szeregowych
Name:		perl-Device-Modem
Version:	1.56
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Device/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a0ec45c3e313bea27ccb476d3b725955
URL:		http://search.cpan.org/dist/Device-Modem/
BuildRequires:	perl-Device-SerialPort
BuildRequires:	rpm-perlprov
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a Perl extension to talk to AT compliant devices via serial
port.

%description -l pl.UTF-8
Jest to rozszerzenie Perla do obsługi urządzeń zgodnych z AT poprzez
port szeregowy.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change* README
%{perl_vendorlib}/Device/*.pm
%dir %{perl_vendorlib}/Device/Modem
%{perl_vendorlib}/Device/Modem/*.pm
%dir %{perl_vendorlib}/Device/Modem/Log
%{perl_vendorlib}/Device/Modem/Log/*.pm
%dir %{perl_vendorlib}/Device/Modem/Protocol
%{perl_vendorlib}/Device/Modem/Protocol/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Device-Modem.spec,v $
Revision 1.13  2012/01/15 22:56:54  zbyniu
- up to 1.56

Revision 1.12  2009/09/10 12:32:45  amateja
- updated to 1.51

Revision 1.11  2009/06/18 12:09:49  amateja
- updated to 1.50

Revision 1.10  2007/07/16 12:02:23  agaran
- up to 1.48, builds here

Revision 1.9  2007/05/27 14:04:04  qboosh
- generic URL
- BR: rpm-perlprov

Revision 1.8  2007/05/27 13:12:15  agaran
- up to 1.47, rel 1, builds here

Revision 1.7  2007/02/13 07:16:54  glen
- tabs in preamble

Revision 1.6  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.5  2004/11/11 22:27:16  paladine
- updated to 1.43

Revision 1.4  2004/11/03 13:13:12  paladine
- spaces->tabs
- formatting

Revision 1.3  2004/10/25 21:05:42  qboosh
- pl fixes, missing dirs

Revision 1.2  2004/10/24 12:41:32  kolodko
- adapter
